/// <reference types="sweetalert2" />
import { EventEmitter } from '@angular/core';
import { IUsuario, OpcionesModal, PeticionHTTP, ResultadoProceso } from './models';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare class AppService {
    private http;
    enMantenimiento: boolean;
    usuarioSesion: IUsuario;
    maTheme: string;
    mobileSidebarActive: boolean;
    contactsItems: any[];
    todoLists: Array<any>;
    todoListActions: Array<any>;
    procesosCargando: number;
    eventoMostrarProcesando: EventEmitter<boolean>;
    urlSW: string;
    constructor(http: HttpClient, urlSW: any);
    ejecutar<T>(peticion: PeticionHTTP): Observable<ResultadoProceso<T>>;
    consultar<T>(peticion: PeticionHTTP): Observable<ResultadoProceso<T>>;
    procesar<T>(peticion: PeticionHTTP): Observable<ResultadoProceso<T>>;
    descargar(url: string, datos: any, nombreArchivo?: string): void;
    descargarArchivo(url: string, nombreArchivo?: string): void;
    mostrarCargando(indicador?: boolean): void;
    popupBase(opciones: OpcionesModal): Promise<import("sweetalert2").SweetAlertResult<any>>;
    solicitarConfirmacion(opciones?: OpcionesModal | string): Promise<import("sweetalert2").SweetAlertResult<any>>;
    mostrarExito(opciones: OpcionesModal | string): Promise<import("sweetalert2").SweetAlertResult<any>>;
    mostrarExitoToast(opciones: OpcionesModal | string): Promise<import("sweetalert2").SweetAlertResult<any>>;
    mostrarInformacion(opciones: OpcionesModal | string): Promise<import("sweetalert2").SweetAlertResult<any>>;
    mostrarAdvertencia(opciones: OpcionesModal | string): Promise<import("sweetalert2").SweetAlertResult<any>>;
    mostrarError(opciones?: OpcionesModal): Promise<import("sweetalert2").SweetAlertResult<any>>;
    mostrarErrorLeve(opciones?: OpcionesModal): Promise<import("sweetalert2").SweetAlertResult<any>>;
    confirmarEliminar(opciones?: OpcionesModal | string): Promise<import("sweetalert2").SweetAlertResult<any>>;
}
