import { ControlInputComponent } from '../control-input/control-input.component';
import { NgControl } from '@angular/forms';
import { NgbDate, NgbDateAdapter, NgbDateParserFormatter, NgbDatepickerI18n, NgbDateStruct, NgbInputDatepicker } from '@ng-bootstrap/ng-bootstrap';
export declare class CustomAdapter extends NgbDateAdapter<string> {
    fromModel: (value: string | null) => NgbDateStruct;
    toModel: (date: NgbDateStruct | null) => string;
}
export declare class CustomDateParserFormatter extends NgbDateParserFormatter {
    parse: (value: string) => NgbDateStruct;
    format(date: NgbDateStruct | null): string;
}
export declare class I18n {
    language: string;
}
export declare class CustomDatepickerI18nService extends NgbDatepickerI18n {
    private _i18n;
    constructor(_i18n: I18n);
    getWeekdayShortName(weekday: number): string;
    getMonthShortName(month: number): string;
    getMonthFullName(month: number): string;
    getDayAriaLabel(date: NgbDateStruct): string;
}
export declare class ControlFechaComponent extends ControlInputComponent {
    ngControl: NgControl;
    get fecha(): Date;
    set fecha(valor: Date);
    constructor(ngControl: NgControl);
    ngAfterViewInit(): void;
    writeValue(obj: any): void;
    fechaSeleccionada(valor: NgbDate): void;
    cambioTexto(control: NgbInputDatepicker, evento: any): void;
    formatDate(valorFecha: Date): string;
    escape(control: NgbInputDatepicker, evento: any): void;
}
